Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNASyncLevels

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNASyncLevels

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNASyncLevels

extends java.lang.Object

`SNASyncLevels` class represents all sync levels:

  `CM_NONE`
  `CM_CONFIRM`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_CONFIRM`
`static int` | `CM_NONE`

Constructor Summary
`SNAConstants.SNASyncLevels()`

Method Summary
`static int` | `getCM_CONFIRM()`
`static int` | `getCM_NONE()`
`static java.lang.String` | `getSyncLevelString(int syncLevel)` Returns the syncLevel as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_NONE

    public static final int CM_NONE

See Also:
  Constant Field Values

### CM_CONFIRM

    public static final int CM_CONFIRM

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNASyncLevels

    public SNAConstants.SNASyncLevels()

Method Detail

### getCM_NONE

    public static final int getCM_NONE()

  Returns:
    CM_NONE

### getCM_CONFIRM

    public static final int getCM_CONFIRM()

  Returns:
    CM_CONFIRM

### getSyncLevelString

    public static final java.lang.String getSyncLevelString(int syncLevel)

  Returns the syncLevel as String

  Parameters:
    `syncLevel` - The syncLevel in int
  Returns:
    The syncLevel as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.